* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  font-family: Arial, sans-serif;
}

body {
  background: #0f172a;
  color: white;
}

/* Navbar */
.navbar {
  display: flex;
  justify-content: space-between;
  padding: 20px 50px;
  background: #020617;
  align-items: center;
}

.logo {
  color: #38bdf8;
}

.navbar nav a {
  margin: 0 15px;
  color: white;
  text-decoration: none;
}

.btn {
  padding: 8px 16px;
  background: #38bdf8;
  border: none;
  cursor: pointer;
}

/* Hero */
.hero {
  text-align: center;
  padding: 100px 20px;
}

.hero h2 {
  font-size: 40px;
}

.cta-btn {
  margin-top: 20px;
  padding: 12px 24px;
  background: #22c55e;
  border: none;
  cursor: pointer;
}

/* Features */
.features {
  padding: 80px 20px;
  text-align: center;
}

.feature-grid {
  display: flex;
  gap: 20px;
  justify-content: center;
  margin-top: 40px;
}

.card {
  background: #1e293b;
  padding: 20px;
  border-radius: 10px;
  width: 250px;
}

/* Courses */
.courses {
  padding: 80px 20px;
  text-align: center;
}

.course-list {
  display: flex;
  gap: 20px;
  justify-content: center;
  margin-top: 40px;
}

.course {
  background: #1e293b;
  padding: 20px;
  border-radius: 10px;
  width: 250px;
}

.course button {
  margin-top: 10px;
  padding: 10px;
  background: #38bdf8;
  border: none;
  cursor: pointer;
}

/* CTA */
.cta {
  text-align: center;
  padding: 80px;
  background: #020617;
}

.cta button {
  margin-top: 20px;
  padding: 12px 24px;
  background: #22c55e;
  border: none;
  cursor: pointer;
}

/* Footer */
footer {
  text-align: center;
  padding: 20px;
  background: #020617;
}